Get a case with contacts using advanced query

post

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/$views/contacts/$query

Case contacts are the contacts associated with the case. They're used to communicate updates and other information related to the case.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type: object
Values to be applied in a parameterized filter specific to the view.
Back to Top

Response

Default Response

Successful response of retrieving view contacts for resource Cases
Body ()
Root Schema : cases_view-contacts
Match All
Case contacts are the contacts associated with the case. They're used to communicate updates and other information related to the case.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : cases_view-contacts-allOf[1]
Type: object
Case contacts are the contacts associated with the case. They're used to communicate updates and other information related to the case.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : contacts
Match All
Show Source
Nested Schema : statusTypeCd
Match All
The code indicates the status type of the case.
Show Source
  • Title: Status Type
    Read Only: true
    The code indicates the status type of the case.
  • Allowed Values: [ "ORA_SVC_ACTIVE", "ORA_SVC_CLOSED", "ORA_SVC_INACTIVE", "ORA_SVC_RESOLVED", "ORA_SVC_SUSPENDED" ]
Nested Schema : stripeCd
Match All
The code indicating the stripe of the case.
Show Source
  • Title: Stripe Code
    Read Only: true
    The code indicating the stripe of the case.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : contacts-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : contactRelationship
Match All
Show Source
Nested Schema : party
Match All
Show Source
Nested Schema : contactRelationship-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : party-allOf[1]
Type: object
Show Source
Nested Schema : employeeDetail
Match All
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
  • Read Only: true
  • Title: Name
    The combination of title, first, middle, last, and suffix names of the person.
Nested Schema : primaryEmail
Match All
Show Source
Nested Schema : primaryPhone
Match All
Show Source
Nested Schema : registryId
Match All
Show Source
  • Title: Registry ID
    The alternate identifier of the contact.
Nested Schema : employeeDetail-allOf[1]
Type: object
Show Source
Nested Schema : employeeAssignment
Match All
Show Source
Nested Schema : employeeInfo
Match All
Show Source
Nested Schema : id
Match All
Show Source
  • Read Only: true
  • Title: Source System Reference Identifier
    The unique identifier of the source system reference.
Nested Schema : sourceSystemReference
Match All
Show Source
  • Read Only: true
  • Title: Source System Reference
    Source system ID for the source system logical entity.
Nested Schema : employeeAssignment-allOf[1]
Type: object
Show Source
Nested Schema : assignmentNumber
Match All
Show Source
  • Read Only: true
  • Title: Assignment Number
    Assignment number for the worker assignment record.
Nested Schema : assignmentType
Match All
Show Source
Nested Schema : businessTitle
Match All
Show Source
  • Read Only: true
  • Title: Assignment Name
    Business title for the worker assignment record.
Nested Schema : businessUnit
Match All
Show Source
Nested Schema : department
Match All
Show Source
Nested Schema : effectiveLatestChange
Match All
Show Source
  • Read Only: true
  • Title: Effective Latest Change
    Effective latest change of the worker assignment record used while searching for the worker assignment using the primary key.
Nested Schema : effectiveSequence
Match All
Show Source
  • Read Only: true
  • Title: Effective Sequence
    Effective sequence of the worker assignment record used while searching for the worker assignment using the primary key.
Nested Schema : id
Match All
Show Source
Nested Schema : job
Match All
Show Source
Nested Schema : legalEmployer
Match All
Show Source
Nested Schema : location
Match All
Show Source
Nested Schema : managerUpwardHierarchy
Match All
Show Source
Nested Schema : personType
Match All
Show Source
Nested Schema : primaryAssignmentFlag
Match All
Show Source
  • Read Only: true
  • Title: Primary
    User person type identifier for the worker assignment record.
Nested Schema : primaryFlag
Match All
Show Source
  • Read Only: true
  • Title: Primary
    Indicates if the current assignment is the primary assignment for the worker. Valid values are true or false.
Nested Schema : assignmentType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "P", "C", "E", "N", "O" ]
Nested Schema : businessUnit-allOf[1]
Type: object
Show Source
  • Title: Business Unit ID
    Read Only: true
    The unique identifier of the business unit.
  • Title: Business Unit
    Read Only: true
    The translated name for the business unit.
Nested Schema : department-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
Nested Schema : job-allOf[1]
Type: object
Show Source
Nested Schema : code
Match All
Show Source
  • Read Only: true
  • Title: Code
    Unique code for the job within the set.
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
  • Read Only: true
  • Title: Name
    Name accessor for the job.
Nested Schema : legalEmployer-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : legalEntity
Match All
Show Source
Nested Schema : name
Match All
Show Source
Nested Schema : legalEntity-allOf[1]
Type: object
Show Source
Nested Schema : location-allOf[1]
Type: object
Show Source
Nested Schema : code
Match All
Show Source
  • Read Only: true
  • Title: Location Code
    Code that uniquely references the location within the set.
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
Nested Schema : managerUpwardHierarchy-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : managerDetail
Match All
Show Source
Nested Schema : managerType
Match All
Description of the manager type.
Show Source
  • Title: Type
    Read Only: true
    Description of the manager type.
  • Allowed Values: [ "LINE_MANAGER" ]
Nested Schema : managerDetail-allOf[1]
Type: object
Show Source
Nested Schema : assignmentId
Match All
Show Source
Nested Schema : id
Match All
Show Source
  • Read Only: true
  • Title: Person Extra Information ID
    Accessor ID for the assignment context business object.
Nested Schema : personId
Match All
Show Source
Nested Schema : personType-allOf[1]
Type: object
Show Source
Nested Schema : employeeInfo-allOf[1]
Type: object
Show Source
Nested Schema : globalName
Match All
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : personDetail
Match All
Show Source
Nested Schema : globalName-allOf[1]
Type: object
Show Source
Nested Schema : displayName
Match All
Show Source
Nested Schema : fullName
Match All
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : knownAs
Match All
Show Source
  • Read Only: true
  • Title: Known As
    Contact's preferred name.
Nested Schema : personDetail-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : primaryEmail
Match All
Show Source
Nested Schema : primaryPhone
Match All
Show Source
Nested Schema : primaryEmail-allOf[1]
Type: object
Show Source
Nested Schema : primaryPhone-allOf[1]
Type: object
Show Source
Nested Schema : validity
Match All
Time of day when a person can be reached at a specific phone number.
Show Source
  • Title: Validity
    Default Value: A
    Time of day when a person can be reached at a specific phone number.
  • Allowed Values: [ "A", "D", "E", "EW", "W" ]
Nested Schema : primaryEmail-allOf[1]
Type: object
Show Source
Nested Schema : emailAddress
Match All
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : primaryPhone-allOf[1]
Type: object
Show Source
Nested Schema : formattedPhoneNumber
Match All
Show Source
  • Read Only: true
  • Title: Formatted Phone Number
    The formatted phone number of the contact point.
Nested Schema : id
Match All
Show Source
Back to Top